Package ru.bitel.bgbilling.modules.tv.server.task

# Class TvRecalculator

java.lang.Object
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.modules.tv.server.task.TvRecalculator

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Runnable`

    public class TvRecalculator
    extends RunTask

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `log, setup`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TvRecalculator​(int moduleId, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> contractGroupIds, java.util.Set<java.lang.Integer> contractIds, java.lang.String email)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ru.bitel.bgbilling.modules.tv.server.runtime.TvTarifficationManager.CalculateResult` | `calculatePart​(ru.bitel.bgbilling.modules.tv.server.tariff.TvTariffContext tariffContext, ru.bitel.bgbilling.modules.tv.server.tariff.TvTariffWorkerContext workerContext, ru.bitel.bgbilling.modules.tv.server.runtime.TvTarifficationManager tvTarifficationManager, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, int contractId, ru.bitel.bgbilling.modules.tv.server.runtime.TvAccountRuntimeRoot tvAccountRuntime, int accountId, ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet tariffTreeSet, java.util.Calendar tariffPeriodStart, java.util.Calendar tariffPeriodStop, java.util.List<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> serviceCostList, java.util.List<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> workingServiceCostList, java.util.Set<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> processedSet, java.util.Date filterTimeFrom, java.util.Date filterTimeTo, boolean detailAccount, boolean addAccount, java.math.BigDecimal balance)` |
  `protected void` | `executeTask()` |
  `java.lang.String` | `getDescription()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TvRecalculator

    public TvRecalculator​(int moduleId, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> contractGroupIds, java.util.Set<java.lang.Integer> contractIds, java.lang.String email)

- ## Method Details

  - ### getDescription

    public java.lang.String getDescription()
    Specified by:
      `getDescription` in class `RunTask`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `RunTask`

  - ### calculatePart

    public static ru.bitel.bgbilling.modules.tv.server.runtime.TvTarifficationManager.CalculateResult calculatePart​(ru.bitel.bgbilling.modules.tv.server.tariff.TvTariffContext tariffContext, ru.bitel.bgbilling.modules.tv.server.tariff.TvTariffWorkerContext workerContext, ru.bitel.bgbilling.modules.tv.server.runtime.TvTarifficationManager tvTarifficationManager, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, int contractId, ru.bitel.bgbilling.modules.tv.server.runtime.TvAccountRuntimeRoot tvAccountRuntime, int accountId, ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet tariffTreeSet, java.util.Calendar tariffPeriodStart, java.util.Calendar tariffPeriodStop, java.util.List<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> serviceCostList, java.util.List<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> workingServiceCostList, java.util.Set<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> processedSet, java.util.Date filterTimeFrom, java.util.Date filterTimeTo, boolean detailAccount, boolean addAccount, java.math.BigDecimal balance) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`